# Class HubConstants | EchoHub Documentation

# Class HubConstants

Namespace
  EchoHub.Core.Constants

Assembly
  EchoHub.Core.dll

    public static class HubConstants

Inheritance
  object
  HubConstants

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Fields

### AsciiArtHeight

    public const int AsciiArtHeight = 40

#### Field Value

int

### AsciiArtWidth

    public const int AsciiArtWidth = 80

#### Field Value

int

### ChatHubPath

    public const string ChatHubPath = "/hubs/chat"

#### Field Value

string

### DefaultChannel

    public const string DefaultChannel = "general"

#### Field Value

string

### DefaultHistoryCount

    public const int DefaultHistoryCount = 50

#### Field Value

int

### MaxAvatarSizeBytes

    public const int MaxAvatarSizeBytes = 2097152

#### Field Value

int

### MaxFileSizeBytes

    public const int MaxFileSizeBytes = 10485760

#### Field Value

int

### MaxMessageLength

    public const int MaxMessageLength = 2000

#### Field Value

int